Joomla! 2.5 – Internal Server Error 500 nach Migration vom Server nach Localhost

Nach der Migration einer Joomla Installation von einem Apache Webserver in meine lokale MAMP Umgebung bekam ich zunächst nichts weiter als eine weiße Seite angezeigt. Das Console Log gab mir lediglich die Meldung „Internal Server Error 500“.

Ich sah mir demnach die php_error.log Datei meiner MAMP Installation an und fand folgendes:

PHP Warning:  require_once(Cache/Lite.php)...

Der Fehler ist recht einfach zu beheben. In der configuration.php eurer Joomla! Installation dürftet ihr den folgenden Eintrag finden:

public $cache_handler = 'cachelite';

Diesen Eintrag einfach löschen und die Seite dürfte wieder laufen.

WordPress Wartungsmodus beenden / killen

„Wegen geplanter Wartungsarbeiten kurzzeitig nicht verfügbar. Schau gleich noch einmal vorbei.“

Ja das kommt eben auch vor, dass Aktualisierungen diverser Plugins nicht so ganz rund ablaufen und die Seite dann im Wartungsmodus stecken bleibt… Aber was tun, wenn dem so ist? Ausrasten? Nein. Man verbindet sich ganz entspannt mit mit Hilfe seinem Lieblings-FTP-Client und löscht die .maintenance Datei aus dem Verzeichnis der WordPress Installation. Danach ist alles wieder gut, aber die Aktualisierung, welche fehlgeschlagen ist bitte nicht vergessen erneut durchzuführen.

Wordpress Wartungsmodus .maintenance

Google Chrome auf Raspberry Pi installieren

Raspberry Pi und Chrome

Habt ihr wie ich das Bedürfnis Google Chrome auf eurem Raspberry Pi zu installieren, dann bemüht ihr euch (wieder mal) des Terminals und apt-get:

sudo apt-get install chromium

Chrome auf dem Raspberry Pi läuft dabei aus meiner Sicht stabiler und gefühlt schneller als der Standardbrowser meiner Installation (NOOBS build).

Steckdosen im EC / EuroCity

Egal ob in der Bahn oder dem Fernbus: meine erste Handlung vor einer längeren Fahrt ist, nach erfolgreich abgeschlossener Sitzplatzsuche, die Suche nach einer geeigneten Steckdose. Ob die Steckdosen in jedem EC gleich platziert sind, wage ich aufgrund unterschiedlicher Ausführungen und Modelle der Züge zu bezweifeln, aber hier im unten stehenden Bild möchte ich euch zeigen, wo ihr eine Chance habt, eine Steckdose zu finden:

EC Steckdose

Flatbooster PHP Version 5.3 oder höher laden via .htaccess

Um beim Hoster Flatbooster (und auch vielen anderen Hostern) die PHP Version 5.3 zu laden, erstellt man eine .htaccess Datei mit folgedem Inhalt

AddHandler x-httpd-php53 .php .php3 .php4 .phtml
AddHandler x-httpd-php53 .php5

Für PHP Version 5.6 sieht es dann wiefolgt aus (nicht getestet unter Flatbooster)

AddHandler x-httpd-php56 .php .php3 .php4 .phtml
AddHandler x-httpd-php56 .php5

Je nachdem wo ihr die .htaccess hinladet wird die von euch geladene PHP Version dann auch auf alle Unterverzeichnisse angewendet.

Gerade für den Betrieb von Joomla 3.x ist die PHP Version 5.3 oder höher vonnöten.

Hochgestellte Zahlen, tiefgestellte Zahlen und Emojis

Immer wieder vergesse ich´s selbst, deshalb schreibe ich es nun selbst nieder – als Spickzettel quasi. Dieser Beitrag richtet sich an alle Mac OSX User, die Programme wie Pages, Keynote oder Mail verwenden und ihr Niedergeschriebenes mit Emojis oder gar hoch-und tiefgestellten Zahlen schmücken wollen/müssen.

Folgende Tastenkombinationen sind euer Freund:

  • Hochgestellte Zahlen: ctrl+cmd+plus und danach die gewünschte Zahl
  • Tiefgestellte Zahlen: ctrl+cmd+minus und danach die gewünschte Zahl
  • Emojis: ctrl+cmd+space 

Hilfreiche Shortcuts Übersicht

N64 und SNES Spiele richtig lagern und schützen

Nintendo 64 und Super Nintendo Entertainment System Schutzhüllen

Heute mal ein Nerdstuff Thema!
Vor einiger Zeit habe ich durch einen Kauf ein Nintendo 64 Spiel erhalten, dass in eine recht praktische und ziemlich stabil wirkende aber trotzdem dünne Plastikhülle gepackt war.
Daraufhin entschied ich mich meine alten Nintendo 64 und SNES Klassiker für die Zukunft zu schützen und machte mich auf die Suche nach diesen Schutzhüllen.

Nach kurzer Suche stieß ich auf einen Händler, der die sogenannten „Snug Fit Box Protectors“ in 10er und 20er Packs anbot.

10 x SNES / N64 Klarsicht Schutzhüllen

20 x SNES / N64 Klarsicht Schutzhüllen

Die Hüllen sind aus PVC, beidseitig verschließbar und wie auf dem Bild oben zu sehen passen die in OVP befindlichen Spiele passgenau herein.

Mit dem Verkäufer habe ich ganz gute Erfahrungen gemacht. Die Ware kam etwas später an als mitgeteilt, jedoch kam auf Nachfrage eine Info, dass gerade Lieferschwierigkeiten bei den Hüllen vorliegen.

So bleiben euch die Originalverpackungen noch eine lange Zeit erhalten und sind geschützt vor Ausfransungen oder Eindrückungen an den Ecken oder anderen Schürfverletzungen. Der Nerd freut sich!

Joomla 2.5 Backend Meldung: Update verfügbar obwohl bereits aktuelle Version installiert

Ich hatte das Problem, dass in meinem Fall eine Joomla Version (2.5.19) auf die aktuellste Version geupdated werden sollte, was dann via FTP auch geschah (auf Version 2.5.28). Im Joomla Backend wurde mir jedoch weiterhin angezeigt, dass mein Joomla veraltet sei und eine neue Version verfügbar ist, obwohl das Update erfolgreich durchgeführt wurde und direkt im Fußbereich des Backends auch 2.5.28 stand.

Joomla Update

Abhilfe schaffte es, über die Updatekomponente im Kontrollzentrum auf die Einstellungen für den Update-Support zu klicken und dort etwas anderes Einzustallen (ich habe eigene URL gewählt) und nach dem Speichern wieder zurück auf Langzeit-Support zu stellen (siehe Screenshot, zum Vergrößern bitte anklicken).

Support Einstellungen Joomla

 

Ob dieses Verhalten bei Joomla 3.x auch auftaucht, kann ich gerade nicht sagen. Und wenn ja, ob man es auch derart einfach beheben kann.